window.Gleam.initSearch([{"doc":"gleesend","title":"gleesend","content":"# gleesend\n\n[![Package Version](https://img.shields.io/hexpm/v/gleesend)](https://hex.pm/packages/gleesend)\n[![Hex Docs](https://img.shields.io/badge/hex-docs-ffaff3)](https://hexdocs.pm/gleesend/)\n\n```sh\ngleam add gleesend@1\n```\n\n```gleam\nimport gleesend\nimport gleesend/emails.{create_email, send_email, with_html}\n\npub fn main() {\n  let client =\n    gleesend.Resend(api_key: &quot;// Replace this with your resend api key&quot;)\n\n  create_email(\n    client:,\n    from: &quot;from@example.com&quot;,\n    to: [&quot;to@example.com&quot;],\n    subject: &quot;:)&quot;,\n  )\n  |&gt; with_html(&quot;&lt;p&gt;Email sent&lt;/p&gt;&quot;)\n  |&gt; send_email()\n}\n```\n\nFurther documentation can be found at &lt;https://hexdocs.pm/resend&gt;.\n\n## Development\n\n```sh\ngleam run   # Run the project\ngleam test  # Run the tests\n```\n","url":"index.html"},{"doc":"gleesend","title":"Resend","content":"pub type Resend {\n  Resend(api_key: String)\n}\n\nResend(api_key: String)\n\n\nSynonyms:\ngleesend.Resend\ngleesend Resend","url":"gleesend.html#Resend"},{"doc":"gleesend","title":"gleesend","content":"","url":"gleesend.html"},{"doc":"gleesend/emails","title":"ResendEmail","content":"pub type ResendEmail {\n  ResendEmail(\n    client: Resend,\n    from: String,\n    to: List(String),\n    subject: String,\n    bcc: Option(List(String)),\n    cc: Option(List(String)),\n    reply_to: Option(List(String)),\n    html: Option(String),\n    text: Option(String),\n  )\n}\n\nResendEmail(\n  client: Resend,\n  from: String,\n  to: List(String),\n  subject: String,\n  bcc: Option(List(String)),\n  cc: Option(List(String)),\n  reply_to: Option(List(String)),\n  html: Option(String),\n  text: Option(String),\n)\n\n\nSynonyms:\ngleesend/emails.ResendEmail\ngleesend/emails ResendEmail","url":"gleesend/emails.html#ResendEmail"},{"doc":"gleesend/emails","title":"SendEmailError","content":"pub type SendEmailError {\n  RequestError\n  BadRequestError\n  ParseResponseBodyError\n}\n\nRequestError\n\n\nBadRequestError\n\n\nParseResponseBodyError\n\n\nSynonyms:\ngleesend/emails.SendEmailError\ngleesend/emails SendEmailError","url":"gleesend/emails.html#SendEmailError"},{"doc":"gleesend/emails","title":"SuccessResponse","content":"pub type SuccessResponse {\n  SuccessResponse(id: String)\n}\n\nSuccessResponse(id: String)\n\n\nSynonyms:\ngleesend/emails.SuccessResponse\ngleesend/emails SuccessResponse","url":"gleesend/emails.html#SuccessResponse"},{"doc":"gleesend/emails","title":"create_email","content":"pub fn create_email(\n  client client: Resend,\n  from from: String,\n  to to: List(String),\n  subject subject: String,\n) -&gt; ResendEmail\n\nSynonyms:\ngleesend/emails.create_email\ngleesend/emails create_email","url":"gleesend/emails.html#create_email"},{"doc":"gleesend/emails","title":"send_email","content":"pub fn send_email(\n  email: ResendEmail,\n) -&gt; Result(SuccessResponse, SendEmailError)\n\nSynonyms:\ngleesend/emails.send_email\ngleesend/emails send_email","url":"gleesend/emails.html#send_email"},{"doc":"gleesend/emails","title":"with_bcc","content":"pub fn with_bcc(\n  resend: ResendEmail,\n  bcc: List(String),\n) -&gt; ResendEmail\n\nSynonyms:\ngleesend/emails.with_bcc\ngleesend/emails with_bcc","url":"gleesend/emails.html#with_bcc"},{"doc":"gleesend/emails","title":"with_cc","content":"pub fn with_cc(\n  resend: ResendEmail,\n  cc: List(String),\n) -&gt; ResendEmail\n\nSynonyms:\ngleesend/emails.with_cc\ngleesend/emails with_cc","url":"gleesend/emails.html#with_cc"},{"doc":"gleesend/emails","title":"with_html","content":"pub fn with_html(\n  resend: ResendEmail,\n  html: String,\n) -&gt; ResendEmail\n\nSynonyms:\ngleesend/emails.with_html\ngleesend/emails with_html","url":"gleesend/emails.html#with_html"},{"doc":"gleesend/emails","title":"with_reply_to","content":"pub fn with_reply_to(\n  resend: ResendEmail,\n  reply_to: List(String),\n) -&gt; ResendEmail\n\nSynonyms:\ngleesend/emails.with_reply_to\ngleesend/emails with_reply_to","url":"gleesend/emails.html#with_reply_to"},{"doc":"gleesend/emails","title":"with_text","content":"pub fn with_text(\n  resend: ResendEmail,\n  text: String,\n) -&gt; ResendEmail\n\nSynonyms:\ngleesend/emails.with_text\ngleesend/emails with_text","url":"gleesend/emails.html#with_text"},{"doc":"gleesend/emails","title":"gleesend/emails","content":"","url":"gleesend/emails.html"}]);